fixfloor(3)

NAME
fixfloor - Returns the greatest integer not greater than x. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int fixfloor(fixed x);

DESCRIPTION
Returns the greatest integer not greater than x. That is, it rounds towards negative infinity. Example:
   int result;
   /* This will put 33 into `result'. */
   result = fixfloor(itofix(100) / 3);
   /* And this will round down to 16. */
   result = fixfloor(itofix(100) / 6);

SEE ALSO
fixtoi(3), fixceil(3)